UMS(4)

NAME
ums - USB mouse driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device ums
device uhci
device ohci
device usb

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ums_load="YES"

DESCRIPTION
The ums driver provides support for mice that attach to the USB port. Supported are mice with any number of buttons and mice with a wheel.

The /dev/ums0 device presents the mouse as a sysmouse or mousesystems type device. See moused(8) for an explanation of these mouse types.

FILES
/dev/ums0
    blocking device node

EXAMPLES
Use the first USB mouse on the system as your console mouse:

    moused -p /dev/ums0 -t auto

To be able to use the USB mouse under X, change the "Pointer" section in xorg.conf to the following:

    Device /dev/ums0
    Protocol Auto

If you want to be able to use the mouse in both virtual consoles as well as in X change it to:

    Device /dev/sysmouse
    Protocol Auto

SEE ALSO
ohci(4), sysmouse(4), uhci(4), usb(4), xorg.conf(5) (ports/x11/xorg), moused(8)

AUTHORS
-nosplit The ums driver was written by Lennart Augustsson <augustss@cs.chalmers.se> for NetBSD and was adopted for FreeBSD by MAEKAWA Masahide <bishop@rr.iij4u.or.jp>.

This manual page was written by Nick Hibma <n_hibma@FreeBSD.org> with input from Kazutaka YOKOTA <yokota@zodiac.mech.utsunomiya-u.ac.jp>.